﻿using Rhino;
using Rhino.DocObjects.Tables;
using Rhino.PlugIns;

namespace TestTobias
{
  public class TestTobiasPlugin : Rhino.PlugIns.PlugIn
  {
    public TestTobiasPlugin()
    {
      Instance = this;
    }

    public static TestTobiasPlugin Instance { get; private set; }

    protected override LoadReturnCode OnLoad(ref string errorMessage)
    {
      RhinoDoc.InstanceDefinitionTableEvent += OnInstanceDefinitionTableEvent;

      return LoadReturnCode.Success;
    }

    private void OnInstanceDefinitionTableEvent(object sender, InstanceDefinitionTableEventArgs args)
    {
      RhinoApp.WriteLine("> InstanceDefinitionTableEvent");
      RhinoApp.WriteLine("    EventType = {0}", args.EventType);
    }
  }
}